Developers
API referenceReferenceWorkflows

Workflow run - Cancel

Request cancellation of a pending or running workflow run.

POST
/v1/business/{business_slug}/workflows/{workflow_id}/runs/{run_id}/cancel/

Path Parameters

business_slug*string

Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.

run_id*integer

Identifier of the target run. If the ID is not known, use the corresponding list endpoint with relevant filters and/or the search parameter to discover valid IDs.

workflow_id*integer

Identifier of the target workflow. If the ID is not known, use the corresponding list endpoint with relevant filters and/or the search parameter to discover valid IDs.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/business/string/workflows/0/runs/0/cancel/" \  -H "Content-Type: application/json" \  -d '{    "trigger_node_uuid": "string"  }'
{  "id": 0,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "version_number": 0,  "status": "pending",  "trigger_node_uuid": "string",  "event_id": -2147483648,  "started_at": "2019-08-24T14:15:22Z",  "finished_at": "2019-08-24T14:15:22Z",  "last_error": "string",  "node_runs": {    "property1": {      "property1": null,      "property2": null    },    "property2": {      "property1": null,      "property2": null    }  },  "react_flow_data": {    "property1": null,    "property2": null  }}